org.apache.calcite.avatica

## Class MetaImpl.FetchIterator

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.FetchIterator

All Implemented Interfaces:
  Iterator<Object>

Enclosing class:
  MetaImpl

    private class MetaImpl.FetchIterator
    extends Object
    implements Iterator<Object>

Iterator over rows coming from a sequence of `Meta.Frame`s.

### Field Summary

Fields
`private long` `currentOffset`
`private Meta.Frame` `frame`
`private List<TypedValue>` `originalParameterValues`
`private List<TypedValue>` `parameterValues`
`private Iterator<Object>` `rows`
`private QueryState` `state`
`private AvaticaStatement` `stmt`

### Constructor Summary

Constructors
Constructor and Description
`MetaImpl.FetchIterator(AvaticaStatement stmt, QueryState state, Meta.Frame firstFrame, List<TypedValue> parameterValues)`

### Method Summary

Methods
`boolean` `hasNext()`
`private void` `moveNext()`
`Object` `next()`
`void` `remove()`
`private void` `resetStatement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### stmt

    private final AvaticaStatement stmt

#### state

    private final QueryState state

#### frame

    private Meta.Frame frame

#### rows

    private Iterator<Object> rows

#### parameterValues

    private List<TypedValue> parameterValues

#### originalParameterValues

    private List<TypedValue> originalParameterValues

#### currentOffset

    private long currentOffset

### Constructor Detail

#### MetaImpl.FetchIterator

    public MetaImpl.FetchIterator(AvaticaStatement stmt,
                          QueryState state,
                          Meta.Frame firstFrame,
                          List<TypedValue> parameterValues)

### Method Detail

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<Object>`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Object>`

#### next

    public Object next()

Specified by:
  `next` in interface `Iterator<Object>`

#### moveNext

    private void moveNext()

#### resetStatement

    private void resetStatement()